# -*- coding: utf-8 -*-
# Copyright (C) 2006-2007  Vodafone España, S.A.
# Author:  Pablo Martí
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
"""
Pynotify-related utilities and methods
"""
__version__ = "$Rev: 618 $"

import gtk
from textwrap import fill

import pynotify

import vmc.utils.globals

MAX_WIDTH = 30

def check_if_initted():
    if not pynotify.is_initted():
        pynotify.init(vmc.utils.globals.APP_SHORT_NAME)

def show_normal_notification(widget, title, message, iconpath=""):
    check_if_initted()
    
    wrapped_text = fill(message, MAX_WIDTH)
    notification = pynotify.Notification(title, wrapped_text, iconpath)
#    if hasattr(gtk, 'StatusIcon'):
#        if isinstance(widget, gtk.StatusIcon):
#            notification.set_property('status-icon', widget)
#        else:
#            notification.attach_to_widget(widget)
#    else:
    notification.attach_to_widget(widget)
    
    notification.set_urgency(pynotify.URGENCY_NORMAL)
    notification.show()
    return notification

def show_error_notification(widget, title, message, iconpath=""):
    return show_normal_notification(widget, title, message, 'stock-error')
    