# -*- coding: utf-8 -*-
# Copyright (C) 2006-2007  Vodafone España, S.A.
# Author:  Pablo Martí
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

from vmc.common.smsng import sms
#from vmc.common.sms import sms as smsold

class TestSMS(object):
    """SMS tests"""
    
    def test_pack_7bit_bytes(self):
        # 07911356131313F311000A9260214365870000AA04E8373B0C
        assert sms.pack_7bit_bytes('hola') == 'E8373B0C'
    
    def test_pack_8bit_bytes(self):
        # 07911356131313F311000A9260214365870004AA04686F6C61
        assert sms.pack_8bit_bytes('hola') == '686F6C61'
        # from Nokia's Smart Messaging FAQ
        assert sms.pack_8bit_bytes('BEGIN:VCARD') == '424547494E3A5643415244'
    
    def test_pack_ucs2_bytes(self):
        # 07911356131313F311000A9260214365870008AA080068006F006C0061
        # 07911356131313F311000A9260214365870008AA0A0068006F006C00610073
        assert sms.pack_ucs2_bytes(u'hola') == '0068006F006C0061'
        assert sms.pack_ucs2_bytes(u'holas') == '0068006F006C00610073'
    
    def test_unpack_ucs2_bytes(self):
        assert sms.unpack_ucs2_bytes('0068006F006C0061') == u'hola'
        assert sms.unpack_ucs2_bytes('0068006F006C00610073') == u'holas'
    
    def test_7bit_pdu(self):
        smsobj = sms.ShortMessageSubmit('+34606575119', u'hola',
                                        smsc='+34646456456')
        result = '07914346466554F611000B914306565711F90000AA04E8373B0C'
        assert smsobj.get_pdu() == result
    
    def test_ucs2_pdu(self):
        smsobj = sms.ShortMessageSubmit('+34606575119', u'あ叶葉',
                                        smsc='+34646456456')
        result = '07914346466554F611000B914306565711F90008AA06304253F68449'
        assert smsobj.get_pdu() == result
    
    def test_pdu_to_sms(self):
        pdu = '07911356131313F311000A9260214365870008AA0A0068006F006C00610073'
        #oldsmsobj = smsold.pdu_to_message(pdu)
        #newsmsobj = sms.pdu_to_message(pdu)
        #assert oldsmsobj.text == newsmsobj.get_text()
        #assert oldsmsobj.number == newsmsobj.get_number()
    
    def test_sms_to_pdu(self):
        #smsoldobj = smsold.ShortMessage('+34606575119', u'hola')
        #smsngobj = sms.ShortMessageSubmit('+34606575119', u'hola')
        #assert smsold.message_to_pdu(smsoldobj) == sms.message_to_pdu(smsngobj)
        pass
    
        