# -*- coding: utf-8 -*-
# Copyright (C) 2006-2007  Vodafone España, S.A.
# Author:  Pablo Martí
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
"""Contacts-related models"""
__version__ = "$Rev: 600 $"

import os

import gtk
import gobject

from vmc.gtkmvc import ListStoreModel
from vmc.common.phonebook import is_sim_contact
import vmc.utils.globals

MOBILE_IMG = gtk.gdk.pixbuf_new_from_file(
              os.path.join(vmc.utils.globals.IMAGES_DIR, 'mobile.png'))
COMPUTER_IMG = gtk.gdk.pixbuf_new_from_file(
              os.path.join(vmc.utils.globals.IMAGES_DIR, 'computer.png'))

class ContactsStoreModel(ListStoreModel):
    """Store Model for Contacts treeviews"""
    def __init__(self):
        ListStoreModel.__init__(self, gtk.gdk.Pixbuf,
                    gobject.TYPE_STRING, gobject.TYPE_STRING,
                    gobject.TYPE_PYOBJECT)
    
    def add_contacts(self, contacts):
        for contact in contacts:
            self.add_contact(contact)
    
    def add_contact(self, contact):
        img = is_sim_contact(contact) and MOBILE_IMG or COMPUTER_IMG
        
        entry = []
        entry.append(img)
        entry.append(contact.name)
        entry.append(contact.number)
        entry.append(contact)
        
        self.append(entry)
        