# -*- coding: utf-8 -*-
# Copyright (C) 2006-2007  Vodafone España, S.A.
# Author:  Pablo Martí
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
"""
Preferences-related models
"""
__version__ = "$Rev: 589 $"

import gobject

from vmc.gtkmvc import Model, ListStoreModel
from vmc.models.base import SerialConnectionDispatcher

from vmc.utils.utilities import dict_reverter
from vmc.common.encoding import _

VALIDITY_DICT = {
     _('Maximum time').encode('utf8') : 'maximum',
     _('1 week').encode('utf8') : '1week',
     _('3 days').encode('utf8') : '3days',
     _('1 day').encode('utf8') : '1day',
}

VALIDITY_DICT_REV = dict_reverter(VALIDITY_DICT)

class PreferencesModel(Model, SerialConnectionDispatcher):
    """Model for the preferences window"""
    
    def __init__(self, device):
        Model.__init__(self)
        SerialConnectionDispatcher.__init__(self, device)

class SMSCListStoreModel(ListStoreModel):
    """Store Model for smsc list combobox"""
    def __init__(self):
        ListStoreModel.__init__(self, gobject.TYPE_PYOBJECT)
    
    def add_smscs(self, smsc_list):
        for smsc in smsc_list:
            self.add_smsc(smsc)
    
    def add_smsc(self, smscobj):
        return self.append([smscobj])
        