# -*- coding: utf-8 -*-
# Copyright (C) 2006-2007  Vodafone España, S.A.
# Author:  Pablo Martí
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
"""
VMC's global variables
"""
__version__ = "$Rev: 658 $"

import os.path

from vmc.common.oal import mark_for_oal
from vmc.common.encoding import _

TOP_DIR = '/usr/share/vodafone-mobile-connect-card-driver-for-linux'

# app name
APP_SHORT_NAME = 'VMCCdfL'
APP_LONG_NAME = 'Vodafone Mobile Connect Card driver for Linux'
APP_VERSION = '0.9.7'

# paths
RESOURCES_DIR = os.path.join(TOP_DIR, 'resources')
GLADE_DIR = os.path.join(RESOURCES_DIR, 'glade')
IMAGES_DIR = os.path.join(RESOURCES_DIR, 'glade')
TEMPLATES_DIR = os.path.join(RESOURCES_DIR, 'templates')
HELP_DIR = os.path.join(RESOURCES_DIR, 'help')
EXTRA_DIR = os.path.join(RESOURCES_DIR, 'extra')

NETWORKS_CSV = os.path.join(EXTRA_DIR, 'networks.csv')
SMSCLIST_CSV = os.path.join(EXTRA_DIR, 'smsc-list.csv')

WVTEMPLATE = os.path.join(TEMPLATES_DIR, 'wvdial.conf.tpl')
CFGTEMPLATE = os.path.join(TEMPLATES_DIR, mark_for_oal('CFG_TEMPLATE'))
REPTEMPLATE = os.path.join(TEMPLATES_DIR, 'support_report.tpl')

USER_HOME = os.path.expanduser('~')
VMC_HOME = os.path.join(USER_HOME, '.vmc')
VMC_CFG = os.path.join(VMC_HOME, 'vmc.cfg')

# Wvdial stuff
WVDIAL_PROFILES = os.path.join(VMC_HOME, 'wvdial-profiles')
WVDIAL_AUTH_CONF = mark_for_oal('WVDIAL_AUTH_CONF')

DEFAULT_PROFILE = os.path.join(WVDIAL_PROFILES, _('default'))
PAP_PROFILE = os.path.join(WVDIAL_PROFILES, 'PAP')
CHAP_PROFILE = os.path.join(WVDIAL_PROFILES, 'CHAP')

# databases, they should be merged in the future
CONTACTS_DB = os.path.join(VMC_HOME, 'contacts.db')
MESSAGES_DB = os.path.join(VMC_HOME, 'messages.db')
NETWORKS_DB = os.path.join(VMC_HOME, 'networks.db')
SMSC_DB = os.path.join(VMC_HOME, 'smsc.db')

# static dns stuff
VMC_DNS_LOCK = os.path.join('/tmp', 'vmc-conn.lock')

# SIGNALS
SIG_SMSRECV = 'sms_recv'
SIG_TIMEOUT = 'timeout'
SIG_SPEEDLINK = 'speed'
SIG_INVALID_DNS = 'invalid_dns'
SIG_CONNECTED = 'connected'
SIG_DISCONNECTED = 'disconnected'
SIG_DEVICE_REMOVED = 'removed'
SIG_DEVICE_ADDED = 'added'
