# -*- coding: utf-8 -*-
# Copyright (C) 2006-2007  Vodafone España, S.A.
# Author:  Pablo Martí
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

__version__ = "$Rev: 598 $"

import os

import gtk

import vmc.utils.globals
from vmc.gtkmvc import View
from vmc.common.encoding import _

class DiagnosticsView(View):
    
    GLADE_FILE = os.path.join(vmc.utils.globals.GLADE_DIR,
                              "diagnostics.glade")
    
    def __init__(self, ctrl):
        View.__init__(self, ctrl, self.GLADE_FILE,
                      'diagnostics_window', register=False, domain="VMC")
        self.setup_view()
        ctrl.register_view(self)
    
    def setup_view(self):
        self.get_top_widget().set_position(gtk.WIN_POS_CENTER_ON_PARENT)
        
class ConnectivityTestView(View):
    GLADE_FILE = os.path.join(vmc.utils.globals.GLADE_DIR,
                              "diagnostics.glade")
    
    def __init__(self, ctrl):
        View.__init__(self, ctrl, self.GLADE_FILE,
                      'test_window', register=False, domain="VMC")
        self.setup_view()
        self.set_title(_("Performing connectivity test..."))
        ctrl.register_view(self)
    
    def setup_view(self):
        self.get_top_widget().set_position(gtk.WIN_POS_CENTER_ON_PARENT)
        
    def set_title(self, title):
        self.get_top_widget().set_title(title)
    
    def set_status(self, text):
        self['status_label'].set_markup('<b>' + text + '</b>')
    
    def set_outcome(self, text, result):
        to_red = lambda text: '<span foreground="red">' + text + '</span>'
        to_green = lambda text: '<span foreground="green">' + text + '</span>'
        if result:
            markup = '<b>' + text + '    ' + to_green('OK') + '</b>'
        else:
            markup = '<b>' + text + '    ' + to_red('ERROR') + '</b>'
        
        self['status_label'].set_markup(markup)
    