# -*- coding: utf-8 -*-
# Copyright (C) 2006-2007  Vodafone España, S.A.
# Author:  Pablo Martí
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
"""View for the new sms window"""
__version__ = "$Rev: 599 $"

import os.path

import gtk

from vmc.gtkmvc import View
import vmc.utils.globals

class NewSmsView(View):
    """View for the new sms window"""
    
    GLADE_FILE = os.path.join(vmc.utils.globals.GLADE_DIR, "sms.glade")
    
    def __init__(self, ctrl):
        View.__init__(self, ctrl, self.GLADE_FILE,
                      'sms_edit_window', register=False, domain="VMC")
        self.setup_view(ctrl)
        ctrl.register_view(self)
    
    def setup_view(self, ctrl):
        self.get_top_widget().set_position(gtk.WIN_POS_CENTER_ON_PARENT)
        self['sms_edit_table'].attach(ctrl.numbers_entry, 1, 2, 0, 1)
    
class ForwardSmsView(NewSmsView):
    """View for forwarding SMS"""
    
    def __init__(self, ctrl):
        NewSmsView.__init__(self, ctrl)
    